import request from '@/utils/request'

// 查询对话关系列表
export function listFastGptChatSession(query) {
  return request({
    url: '/fastGpt/fastGptChatSession/list',
    method: 'get',
    params: query
  })
}

// 查询对话关系详细
export function getFastGptChatSession(sessionId) {
  return request({
    url: '/fastGpt/fastGptChatSession/' + sessionId,
    method: 'get'
  })
}

// 新增对话关系
export function addFastGptChatSession(data) {
  return request({
    url: '/fastGpt/fastGptChatSession',
    method: 'post',
    data: data
  })
}

// 修改对话关系
export function updateFastGptChatSession(data) {
  return request({
    url: '/fastGpt/fastGptChatSession',
    method: 'put',
    data: data
  })
}

// 删除对话关系
export function delFastGptChatSession(sessionId) {
  return request({
    url: '/fastGpt/fastGptChatSession/' + sessionId,
    method: 'delete'
  })
}

// 导出对话关系
export function exportFastGptChatSession(query) {
  return request({
    url: '/fastGpt/fastGptChatSession/export',
    method: 'get',
    params: query
  })
}
